<project 
	xmlns="http://maven.apache.org/POM/4.0.0" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>
    
    <groupId>nfse.wsdl</groupId>
    <artifactId>nfse-wsimport-jaxws-maven-plugin</artifactId>
    <packaging>jar</packaging>
    <version>1.0</version>
    
    <name>nfse-wsimport-jaxws-maven-plugin</name>
    <inceptionYear>2016</inceptionYear>
    
    <description></description>
    
    <properties>
    	<log4j.version>2.11.1</log4j.version>
		<cxf.version>3.1.4</cxf.version>
	</properties>

    <dependencies>
        <!-- log -->
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
		    <artifactId>log4j-api</artifactId>
		    <version>${log4j.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
		    <artifactId>log4j-core</artifactId>
		    <version>${log4j.version}</version>
		</dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                    <encoding>UTF-8</encoding>
                </configuration>
            </plugin>
            
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
    			<artifactId>maven-resources-plugin</artifactId>
    			<version>3.1.0</version>
                <configuration>
                    <encoding>UTF-8</encoding>
                </configuration>
            </plugin>
            
            <!-- tag::wsdl[] ->
            <plugin>
                <groupId>org.jvnet.jax-ws-commons</groupId>
                <artifactId>jaxws-maven-plugin</artifactId>
                <version>2.3</version>
                <executions>
                    <execution>
                        <id>install</id>
                        <phase>install</phase>
                        <goals>
                            <goal>wsimport</goal>
                        </goals>
                        <configuration>
                            <wsdlUrls>
                                <wsdlUrl>${basedir}/src/main/resources/wsdl/HomServiceGinfesImpl.wsdl</wsdlUrl>
                                <wsdlUrl>${basedir}/src/main/resources/wsdl/ProServiceGinfesImpl.wsdl</wsdlUrl>
                            </wsdlUrls>
                            <sourceDestDir>${basedir}/src/main/java</sourceDestDir>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <!- end::wsdl[] -->
            
        </plugins>
    </build>
</project>
